# Uses of Class
com.google.protobuf.Field

Packages that use Field
Package
Description
com.google.protobuf

## Uses of Field in com.google.protobuf

Methods in com.google.protobuf that return Field
Modifier and Type
Method
Description
`Field`
Field.Builder.`build()`
`Field`
Field.Builder.`buildPartial()`
`static Field`
Field.`getDefaultInstance()`
`Field`
Field.Builder.`getDefaultInstanceForType()`
`Field`
Field.`getDefaultInstanceForType()`
`Field`
Type.Builder.`getFields(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`Field`
Type.`getFields(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`Field`
TypeOrBuilder.`getFields(int index)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`static Field`
Field.`parseDelimitedFrom(InputStream input)`
`static Field`
Field.`parseDelimitedFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Field`
Field.`parseFrom(byte[] data)`
`static Field`
Field.`parseFrom(byte[] data, ExtensionRegistryLite extensionRegistry)`
`static Field`
Field.`parseFrom(ByteString data)`
`static Field`
Field.`parseFrom(ByteString data, ExtensionRegistryLite extensionRegistry)`
`static Field`
Field.`parseFrom(CodedInputStream input)`
`static Field`
Field.`parseFrom(CodedInputStream input, ExtensionRegistryLite extensionRegistry)`
`static Field`
Field.`parseFrom(InputStream input)`
`static Field`
Field.`parseFrom(InputStream input, ExtensionRegistryLite extensionRegistry)`
`static Field`
Field.`parseFrom(ByteBuffer data)`
`static Field`
Field.`parseFrom(ByteBuffer data, ExtensionRegistryLite extensionRegistry)`
Methods in com.google.protobuf that return types with arguments of type Field
Modifier and Type
Method
Description
`List<Field>`
Type.Builder.`getFieldsList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<Field>`
Type.`getFieldsList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`List<Field>`
TypeOrBuilder.`getFieldsList()`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`Parser<Field>`
Field.`getParserForType()`
`static Parser<Field>`
Field.`parser()`
Methods in com.google.protobuf with parameters of type Field
Modifier and Type
Method
Description
`Type.Builder`
Type.Builder.`addFields(int index, Field value)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`Type.Builder`
Type.Builder.`addFields(Field value)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
`Field.Builder`
Field.Builder.`mergeFrom(Field other)`
`static Field.Builder`
Field.`newBuilder(Field prototype)`
`Type.Builder`
Type.Builder.`setFields(int index, Field value)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`
Method parameters in com.google.protobuf with type arguments of type Field
Modifier and Type
Method
Description
`Type.Builder`
Type.Builder.`addAllFields(Iterable<? extends Field> values)`
`repeated .google.protobuf.Field fields = 2 [json_name = "fields"];`